/*
 * tvprogxml
 * Copyright (c) 2003       Erik Waling <erikw@acc.umu.se>
 * Distributed under the terms of the GNU GPL. See the COPYING file
 * for a copy of the GNU Genereal Public License.
 */

#define CONFIG_DIR ".tvprogxml"
#define CONFIG_FILE "config"
#define WATCH_FILE "watch"
#define CHANNEL_ORDER "channel_order"

typedef struct config {
    struct watches *watch;
    char *xmltv_file;
    int reload_hour; /* 0-23, xmltv list will be read at this hour */
    char *extalarm;
    int alarm_minutes;
    char show_next;
    
    char color;
    char channel_color;
    char time_color;
    char current_color;
    char next_color;
    char menu_border_color;
    char menu_text_color;
    
    int channelname_chars;
    int curr_percentage;
    int free_after_hours;
    
} config;




void cfg_read(struct config *c);
void cfg_read_watch(struct config *c);
void cfg_read_sortorder(struct channel *ch);
char cfg_add_placement(struct channel *ch, char *str, char count);
char cfg_compare(char *buf, char *str);
void cfg_set_str(char **cfg, char *value);
void cfg_set_int(int *cfg, char *value);
void cfg_set_bool(char *cfg, char *value);
void cfg_set_color(char *cfg, char *value);
void cfg_check_config(void);
void cfg_set_default(void);
struct watches *cfg_add_watch(struct watches *w, char *str, char type);
char *replace_str_token(char *with, char *replace, char *str, size_t start);

